curl --request POST \
--url https://api-lr.agent.ai/v1/action/aeo_seo_research_render_research_report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "results_html",
"report_data": "{{seo_research}}"
}
'{
"status": 123,
"response": {}
}Renders AEO/SEO research as an HTML report with keyword opportunities, citation gaps, and recommendations.
curl --request POST \
--url https://api-lr.agent.ai/v1/action/aeo_seo_research_render_research_report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "results_html",
"report_data": "{{seo_research}}"
}
'{
"status": 123,
"response": {}
}Bearer token from your account (https://agent.ai/user/integrations#api)